Comment installer Java dans OS X El Capitan

Certains utilisateurs de Mac ont besoin d’installer Java dans OS X El Capitan, peut-être pour des raisons de compatibilité avec un site web ou une application particulière, ou parce qu’ils sont des développeurs java. Mais Apple est devenu de plus en plus strict avec Java, et par défaut il n’est plus installé avec une installation propre d’OS X 10.11, et vous constaterez qu’après la mise à jour d’un Mac une version antérieure de JRE ou JDK peut ne plus fonctionner.

En outre, lorsque vous essayez d’utiliser certaines applications ou contenus web particuliers, vous pouvez rencontrer le message d’erreur « Cette application nécessite l’ancien runtime Java SE 6 qui n’est pas disponible pour cette version d’OS X. », ce qui signifie que si vous voulez exécuter cette application, vous devrez utiliser une version plus ancienne de Java.

Quoi qu’il en soit, si vous avez besoin de Java JRE ou Java JDK dans OS X 10.11 ou une version ultérieure, voici comment l’installer.

Pour être clair, si vous n’avez pas besoin de Java, vous ne devez pas installer Java. Et si vous n’êtes pas sûr d’avoir besoin de Java ou non, cela signifie que vous n’avez probablement pas besoin de Java du tout, et vous pouvez également éviter d’installer Java.

Les utilisateurs de Mac peuvent avoir besoin de désactiver la protection SIP sans racine dans OS X avant de pouvoir installer Java avec succès, mais vous pouvez l’activer à nouveau après son installation. Si vous êtes bloqué sur la fonction « vérification… » pendant le processus d’installation de Java, c’est à cause de l’absence de racine.

Installer Java SE 6 dans OS X El Capitan d’Apple

Vous pouvez installer les anciennes versions de Java dans OS X El Capitan en utilisant l’installateur Java for OS X 2015-001, qui comprend Java 6. Pour être clair, Java 6 est une version de 2013, elle est obsolète et n’est plus supportée par Oracle, elle présente diverses failles de sécurité connues, et est donc inappropriée pour la plupart des utilisateurs de Mac à installer sans raison valable. Donc, à moins d’avoir un besoin spécifique de Java 6, vous voudrez probablement obtenir une version plus récente, ou si vous n’avez pas besoin de Java du tout, ne l’installez pas.

Cela permettra de télécharger un installateur que vous pourrez utiliser pour OS X El Capitan (et Yosemite et Mavericks d’ailleurs).

Si vous rencontrez des erreurs lors de l’installation, c’est parce que vous avez survolé l’introduction et n’avez pas désactivé SIP / rootless sur le Mac. Faites-le d’abord et Java s’installera très bien.

Installer Java 8 dans OS X EL Capitan d’Oracle

L’autre option consiste à obtenir la dernière version disponible de Java auprès d’Oracle. Vous pouvez commencer de deux façons :

Là encore, vous devrez probablement désactiver la protection SIP sur le Mac avant d’être autorisé à terminer l’installation.

Laisser un commentaire

Votre adresse e-mail ne sera pas publiée. Les champs obligatoires sont indiqués avec *